import request from '@/utils/request'

// 查询商品门店列表
export function listStore(query) {
    return request({
        url: '/mapi/core/store/list',
        method: 'get',
        params: query
    })
}

// 查询商品门店详细
export function getStore(id) {
    return request({
        url: '/mapi/core/store/' + id,
        method: 'get'
    })
}

// 新增商品门店
export function addStore(data) {
    return request({
        url: '/mapi/core/store',
        method: 'post',
        data: data
    })
}

// 修改商品门店
export function updateStore(data) {
    return request({
        url: '/mapi/core/store',
        method: 'put',
        data: data
    })
}

// 删除商品门店
export function delStore(id) {
    return request({
        url: '/mapi/core/store/' + id,
        method: 'delete'
    })
}


// 修改商品门店状态
export function updateStoreStatus(id,status) {
    const data = {
        id,
        status
    }
    return request({
        url: '/mapi/core/store/updateStatus',
        method: 'post',
        data: data
    })
}